## audacious-plugins 1.2.5

=== Makefile ===
.SILENT:

include mk/rules.mk
include mk/init.mk

SUBDIRS = src

include mk/objective.mk

install-posthook:
	@if test `whoami` = 'root' && test -z "$(DESTDIR)"; then \
		echo; \
		echo "WARNING:"; \
		echo "On some systems, it might be required that you run"; \
		echo "ldconfig. However, this isn't done automatically"; \
		echo "because some ldconfig versions might break the system"; \
		echo "if it's called without any parameters."; \
	fi

=== src/CoreAudio/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libcoreaudio$(SHARED_SUFFIX)

noinst_HEADERS = coreaudio.h

LIBDIR = $(plugindir)/$(OUTPUT_PLUGIN_DIR)

LIBADD = $(GTK_LIBS) -Wl,-framework,CoreAudio
SOURCES = coreaudio.c mixer.c about.c configure.c audio.c init.c convert.c dbconvert.c

OBJECTS = ${SOURCES:.c=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) -I../..intl -I../..

include ../../mk/objective.mk

=== src/OSS/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libOSS$(SHARED_SUFFIX)

noinst_HEADERS = OSS.h soundcard.h

LIBDIR = $(plugindir)/$(OUTPUT_PLUGIN_DIR)

LIBADD = $(OSS_LIBS) $(GTK_LIBS)
SOURCES = OSS.c mixer.c about.c configure.c audio.c init.c convert.c

OBJECTS = ${SOURCES:.c=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) -I../../intl -I../..

include ../../mk/objective.mk

=== src/adplug/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = core
OBJECTIVE_LIBS = libadplug$(SHARED_SUFFIX)

LIBDIR = $(plugindir)/$(INPUT_PLUGIN_DIR)

LIBADD = ./core/libadplugcore.a $(BINIO_LIBS) -lstdc++

SOURCES = adplug-xmms.cc

OBJECTS = ${SOURCES:.cc=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) $(BINIO_CFLAGS) \
	-I../../intl -I../.. -I./core
CXXFLAGS += $(PICFLAGS) $(GTK_CFLAGS) $(BINIO_CFLAGS) \
	-I../../intl -I../.. -I./core

include ../../mk/objective.mk

=== src/alac/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libalac$(SHARED_SUFFIX)

LIBDIR = $(plugindir)/$(INPUT_PLUGIN_DIR)

SOURCES = alac.c demux.c plugin.c stream.c

OBJECTS = ${SOURCES:.c=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) -I../../intl -I../.. -I../..

include ../../mk/objective.mk

=== src/alarm/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = 

OBJECTIVE_LIBS = libalarm$(SHARED_SUFFIX)

LIBDIR = $(plugindir)/$(GENERAL_PLUGIN_DIR)

LIBADD += $(GTK_LIBS)

SOURCES = alarm.c interface.c

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) $(BEEP_DEFINES) -I../../intl -I../..

OBJECTS = ${SOURCES:.c=.o}

include ../../mk/objective.mk

=== src/alsa/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libALSA$(SHARED_SUFFIX)

noinst_HEADERS = alsa.h

LIBDIR = $(plugindir)/$(OUTPUT_PLUGIN_DIR)

LIBADD = $(GTK_LIBS) $(ALSA_LIBS) -lpthread
SOURCES = alsa.c about.c audio.c configure.c init.c

OBJECTS = ${SOURCES:.c=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) $(ALSA_CFLAGS) \
	-I../../intl -I../..

include ../../mk/objective.mk

=== src/amidi-plug/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libamidi-plug$(SHARED_SUFFIX)
SUBDIRS = pcfg $(AMIDIPLUG_BACKENDS)

noinst_HEADERS = amidi-plug.h i_backend.h i_midi.h i_midievent.h \
                 i_vfslayer.h i_configure.h i_configure_private.h \
                 i_configure-ap.h i_configure-alsa.h \
                 i_configure-fluidsynth.h i_configure-dummy.h \
                 i_fileinfo.h i_utils.h i_common.h \
                 amidi-plug-icon.xpm amidi-plug.logo.xpm \
                 amidi-plug.midiicon.xpm

LIBDIR = $(plugindir)/$(INPUT_PLUGIN_DIR)

LIBADD = $(GTK_LIBS) $(GMODULE_LIBS) -lpthread ./pcfg/libpcfg.a
SOURCES = amidi-plug.c i_vfslayer.c i_midi.c i_backend.c \
          i_configure.c i_configure-ap.c i_configure-alsa.c \
          i_configure-fluidsynth.c i_configure-dummy.c \
          i_utils.c i_fileinfo.c

OBJECTS = ${SOURCES:.c=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) $(GMODULE_CFLAGS) -DAMIDIPLUGBACKENDDIR=\"$(AMIDIPLUGBACKENDDIR)\" \
          -I../../intl -I../..

include ../../mk/objective.mk

=== src/arts/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = arts_helper

SOURCES = arts.c configure.c audio.c convert.c

OBJECTIVE_LIBS = libarts$(SHARED_SUFFIX)

LIBDIR = $(plugindir)/$(OUTPUT_PLUGIN_DIR)

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) -Wall $(ARTSC_CFLAGS) -I../../intl -I../..
LIBADD = $(GTK_LIBS) $(ARTSC_LIBS) -lpthread

OBJECTS = ${SOURCES:.c=.o}

include ../../mk/objective.mk

=== src/audiocompress/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libaudiocompress$(SHARED_SUFFIX)

LIBDIR = $(plugindir)/$(EFFECT_PLUGIN_DIR)

LIBADD = $(GTK_LIBS)

SOURCES = compress.c audacious-glue.c

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) -I../../intl -I../..

OBJECTS = ${SOURCES:.c=.o}

include ../../mk/objective.mk

=== src/blur_scope/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libbscope$(SHARED_SUFFIX)

LIBDIR = $(plugindir)/$(VISUALIZATION_PLUGIN_DIR)

LIBADD = $(GTK_LIBS)

SOURCES = blur_scope.c config.c

OBJECTS = ${SOURCES:.c=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) $(ARCH_DEFINES) -I../../intl -I../..

include ../../mk/objective.mk

=== src/cdaudio/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS = libcdaudio$(SHARED_SUFFIX)

LIBDIR = $(plugindir)/$(INPUT_PLUGIN_DIR)

SOURCES = cdaudio.c cddb.c cdinfo.c configure.c http.c 

OBJECTS = ${SOURCES:.c=.o}

CFLAGS += $(PICFLAGS) $(GTK_CFLAGS) -I../../intl -I../.. -I../..

include ../../mk/objective.mk

## audacious-plugins 1.4.4

=== src/modplug/Makefile ===
PLUGIN = modplug${PLUGIN_SUFFIX}

SRCS = plugin.cxx		\
       modplugbmp.cxx		\
       tables.cxx		\
       sndmix.cxx		\
       sndfile.cxx		\
       snd_fx.cxx		\
       snd_flt.cxx		\
       snd_dsp.cxx		\
       fastmix.cxx		\
       mmcmp.cxx		\
       load_xm.cxx		\
       load_wav.cxx		\
       load_umx.cxx		\
       load_ult.cxx		\
       load_stm.cxx		\
       load_s3m.cxx		\
       load_ptm.cxx		\
       load_okt.cxx		\
       load_mtm.cxx		\
       load_mod.cxx		\
       load_med.cxx		\
       load_mdl.cxx		\
       load_it.cxx		\
       load_far.cxx		\
       load_dsm.cxx		\
       load_dmf.cxx		\
       load_dbm.cxx		\
       load_ams.cxx		\
       load_amf.cxx		\
       load_669.cxx		\
       load_j2b.cxx		\
       load_mt2.cxx		\
       load_psm.cxx		\
       modplug.cxx		\
       archive/archive.cxx	\
       archive/open.cxx		\
       archive/arch_raw.cxx	\
       archive/arch_gzip.cxx	\
       archive/arch_zip.cxx	\
       archive/arch_rar.cxx	\
       archive/arch_bz2.cxx	\
       gui/main.cxx		\
       gui/support.cxx		\
       gui/interface.cxx	\
       gui/callbacks.cxx

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${DBUS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} -I.. -I../.. -I../../intl
LIBS += ${MOWGLI_LIBS} ${DBUS_LIBS} ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} -lstdc++

## audacious-plugins 1.5.0

=== src/OSS/Makefile ===
PLUGIN = OSS${PLUGIN_SUFFIX}

SRCS = OSS.c		\
       mixer.c		\
       about.c		\
       configure.c	\
       audio.c		\
       init.c		\
       convert.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${OSS_CFLAGS} ${DBUS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} -I../../intl -I../.. -I.
LIBS += ${OSS_LIBS} ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS}

=== src/OSS4/Makefile ===
PLUGIN = OSS4${PLUGIN_SUFFIX}

SRCS = OSS4.c		\
       about.c		\
       configure.c	\
       audio.c		\
       init.c		\
       convert.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} -I/usr/lib/oss/include -I../../intl -I../.. ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS}
LIBS += ${OSS_LIBS} ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS}

=== src/aac/Makefile ===
PLUGIN = aac${PLUGIN_SUFFIX}

SRCS = libmp4.c			\
       mp4_utils.c		\
       aac_utils.c		\
       tagging_mp4.c		\
       libfaad2/bits.c		\
       libfaad2/cfft.c		\
       libfaad2/decoder.c	\
       libfaad2/drc.c		\
       libfaad2/drm_dec.c	\
       libfaad2/error.c		\
       libfaad2/filtbank.c	\
       libfaad2/ic_predict.c	\
       libfaad2/is.c		\
       libfaad2/lt_predict.c	\
       libfaad2/mdct.c		\
       libfaad2/mp4.c		\
       libfaad2/ms.c		\
       libfaad2/output.c	\
       libfaad2/pns.c		\
       libfaad2/ps_dec.c	\
       libfaad2/ps_syntax.c	\
       libfaad2/pulse.c		\
       libfaad2/specrec.c	\
       libfaad2/syntax.c	\
       libfaad2/tns.c		\
       libfaad2/hcr.c		\
       libfaad2/huffman.c	\
       libfaad2/rvlc.c		\
       libfaad2/ssr.c		\
       libfaad2/ssr_fb.c	\
       libfaad2/ssr_ipqf.c	\
       libfaad2/common.c	\
       libfaad2/sbr_dct.c	\
       libfaad2/sbr_e_nf.c	\
       libfaad2/sbr_fbt.c	\
       libfaad2/sbr_hfadj.c	\
       libfaad2/sbr_hfgen.c	\
       libfaad2/sbr_huff.c	\
       libfaad2/sbr_qmf.c	\
       libfaad2/sbr_syntax.c	\
       libfaad2/sbr_tf_grid.c	\
       libfaad2/sbr_dec.c	\
       mp4ff/mp4ff.c		\
       mp4ff/mp4atom.c		\
       mp4ff/mp4meta.c		\
       mp4ff/mp4sample.c	\
       mp4ff/mp4util.c		\
       mp4ff/mp4tagupdate.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS} -fsigned-char
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${DBUS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} -I../.. -I. -I./include -I./libfaad2 -I./mp4ff -DUSE_TAGGING=1
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${MOWGLI_LIBS} -lm

=== src/alarm/Makefile ===
PLUGIN = alarm${PLUGIN_SUFFIX}

SRCS = alarm.c		\
       interface.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BEEP_DEFINES} ${MOWGLI_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} -I../../intl -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS}

=== src/alsa/Makefile ===
PLUGIN = ALSA${PLUGIN_SUFFIX}

SRCS = alsa.c		\
       about.c		\
       audio.c		\
       configure.c	\
       init.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${DBUS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${ALSA_CFLAGS} -I../../intl -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${ALSA_LIBS}

=== src/amidi-plug/Makefile ===
PLUGIN = amidi-plug${PLUGIN_SUFFIX}

SRCS = amidi-plug.c		\
       i_vfslayer.c		\
       i_midi.c			\
       i_backend.c		\
       i_configure.c		\
       i_configure-ap.c		\
       i_configure-alsa.c	\
       i_configure-fluidsynth.c	\
       i_configure-dummy.c	\
       i_utils.c		\
       i_fileinfo.c

SUBDIRS = pcfg ${AMIDIPLUG_BACKENDS}

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${GMODULE_CFLAGS} ${MOWGLI_CFLAGS} \
	-DAMIDIPLUGBACKENDDIR=\"${plugindir}/${AMIDIPLUG_BACKEND_DIR}\" -I../../intl -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${GMODULE_LIBS} -lpthread ./pcfg/libpcfg.a

=== src/arts/Makefile ===
PLUGIN = arts${PLUGIN_SUFFIX}

SRCS = arts.c		\
       configure.c	\
       audio.c		\
       convert.c

SUBDIRS = arts_helper

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${ARTSC_CFLAGS} -I../../intl -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${ARTSC_LIBS} -lpthread

=== src/demac/Makefile ===
PLUGIN = demac${PLUGIN_SUFFIX}

SRCS = plugin.c	\
       apev2.c \
       ape.c \
       apedec.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${DBUS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${ARCH_DEFINES} -I../../intl -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${MOWGLI_LIBS}

=== src/dockalbumart/Makefile ===
PLUGIN = dockalbumart${PLUGIN_SUFFIX}

SRCS = dockalbumart.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BEEP_DEFINES} ${MOWGLI_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} -I../../intl -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS}

=== src/flacng/Makefile ===
PLUGIN = flacng${PLUGIN_SUFFIX}

SRCS = plugin.c				\
       tools.c				\
       seekable_stream_callbacks.c	\
       flac_compat112.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${LIBFLAC_CFLAGS} ${MOWGLI_CFLAGS} ${DBUS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} -I../../intl -I../..
LIBS += ${LIBFLAC_LIBS} ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${MOWGLI_LIBS}

=== src/gnomeshortcuts/Makefile ===
PLUGIN = gnomeshortcuts${PLUGIN_SUFFIX}

SRCS = gnomeshortcuts.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${MOWGLI_CFLAGS} ${GLIB_CFLAGS} ${DBUS_CFLAGS} -I../../intl -I../.. -I..
LIBS += ${GLIB_LIBS} ${DBUS_LIBS} ${GTK_LIBS}

=== src/hotkey/Makefile ===
PLUGIN = hotkey${PLUGIN_SUFFIX}

SRCS = plugin.c gui.c grab.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${MOWGLI_CFLAGS} ${GLIB_CFLAGS} ${DBUS_CFLAGS} -I../../intl -I../.. -I..
LIBS += ${GLIB_LIBS} ${DBUS_LIBS} ${GTK_LIBS}

## audacious-plugins 1.5.1

=== src/alsa/Makefile ===
PLUGIN = ALSA${PLUGIN_SUFFIX}

SRCS = alsa.c		\
       about.c		\
       audio.c		\
       configure.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS}  ${ALSA_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS}  ${ALSA_LIBS}

=== src/console/Makefile ===
PLUGIN = console${PLUGIN_SUFFIX}

SRCS = Audacious_Config.cxx    \
       Audacious_Driver.cxx    \
       Ay_Apu.cxx              \
       Ay_Cpu.cxx              \
       Ay_Emu.cxx              \
       Blip_Buffer.cxx         \
       Classic_Emu.cxx         \
       Data_Reader.cxx         \
       Dual_Resampler.cxx      \
       Effects_Buffer.cxx      \
       Fir_Resampler.cxx       \
       Gbs_Emu.cxx             \
       Gb_Apu.cxx              \
       Gb_Cpu.cxx              \
       Gb_Oscs.cxx             \
       gme.cxx                 \
       Gme_File.cxx            \
       Gym_Emu.cxx             \
       Gzip_Reader.cxx         \
       Hes_Apu.cxx             \
       Hes_Cpu.cxx             \
       Hes_Emu.cxx             \
       Kss_Cpu.cxx             \
       Kss_Emu.cxx             \
       Kss_Scc_Apu.cxx         \
       M3u_Playlist.cxx        \
       Multi_Buffer.cxx        \
       Music_Emu.cxx           \
       Nes_Apu.cxx             \
       Nes_Cpu.cxx             \
       Nes_Fme7_Apu.cxx        \
       Nes_Namco_Apu.cxx       \
       Nes_Oscs.cxx            \
       Nes_Vrc6_Apu.cxx        \
       Nsfe_Emu.cxx            \
       Nsf_Emu.cxx             \
       Sap_Apu.cxx             \
       Sap_Cpu.cxx             \
       Sap_Emu.cxx             \
       Sms_Apu.cxx             \
       Snes_Spc.cxx            \
       Spc_Cpu.cxx             \
       Spc_Dsp.cxx             \
       Spc_Emu.cxx             \
       Vfs_File.cxx            \
       Vgm_Emu.cxx             \
       Vgm_Emu_Impl.cxx        \
       Ym2413_Emu.cxx          \
       Ym2612_Emu.cxx          \
       Zlib_Inflater.cxx

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS}  ${ARCH_DEFINES} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS}  -lz ${MOWGLI_LIBS}

=== src/musepack/Makefile ===
PLUGIN = musepack${PLUGIN_SUFFIX}

SRCS = libmpc.cxx

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS}  ${TAGLIB_CFLAGS} -I../..
LIBS += ${TAGLIB_LIBS} ${GTK_LIBS} ${GLIB_LIBS}  ${MOWGLI_LIBS} -lmpcdec

## audacious-plugins 2.1

=== src/gtkui/Makefile ===
PLUGIN = gtkui${PLUGIN_SUFFIX}

SRCS = ui_gtk.c \
       ui_manager.c \
       ui_playlist_widget.c \
       ui_playlist_manager.c \
       util.c \
       actions.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS} ${BEEP_DEFINES}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${CAIRO_CFLAGS} ${PANGOCAIRO_CFLAGS} ${XRENDER_CFLAGS} ${XCOMPOSITE_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${CAIRO_LIBS} ${PANGOCAIRO_LIBS} ${XRENDER_LIBS} ${XCOMPOSITE_LIBS} ${MOWGLI_LIBS}

=== src/sid/Makefile ===
PLUGIN = sid${PLUGIN_SUFFIX}

SRCS = xs_init.c	\
       xs_about.c	\
       xs_support.c	\
       xs_config.c	\
       xs_length.c	\
       xs_genui.c	\
       xs_glade.c	\
       xs_interface.c	\
       xs_stil.c	\
       xs_fileinfo.c	\
       xs_filter.c	\
       xs_sidplay1.cc	\
       xs_sidplay2.cc	\
       xs_curve.c	\
       xs_slsup.c	\
       xs_player.c	\
       xmms-sid.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -D_REENTRANT -I../.. -DAUDACIOUS_PLUGIN ${MOWGLI_CFLAGS} ${SIDPLAY1_CFLAGS} ${SIDPLAY2_CFLAGS} ${BUILDERS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS}
LIBS += ${BUILDERS_LDFLAGS} ${SIDPLAY1_LIBS} ${SIDPLAY2_LIBS} ${BUILDERS_LIBS} ${GTK_LIBS} ${GLIB_LIBS} -lstdc++ -laudutil

## audacious-plugins 2.3

=== debian/changelog ===
audacious-plugins (2.3-1ubuntu4) lucid; urgency=low

  * Disable SSE2 on i386 (LP: #565381).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 20 Apr 2010 13:53:48 +0200

audacious-plugins (2.3-1ubuntu3) lucid; urgency=low

  * Drop correct-icon-name.patch.
  * Add panel-icon.patch to make panel icon themable (LP: #563043).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 20 Apr 2010 00:56:10 +0200

audacious-plugins (2.3-1ubuntu2) lucid; urgency=low

  * Add correct-icon-name.patch: Check for audacious2 instead of audacious to
    pick up the icon from the theme (LP: #563043).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Apr 2010 22:56:25 +0200

audacious-plugins (2.3-1ubuntu1) lucid; urgency=low

  * Merge from Debian experimental (LP: #494604), remaining change:
    - audacious-plugins suggests timidiy for midi playback
  * Build-Depend on libav* for ffaudio.
  * Break and replace audacious (<< 2.3).
  * Drop audacious-plugins-dev package. "apt-get build-dep audacious-plugins"
    will do the same job.
  * audacious-plugins recommends audacious instead of depending on it to break
    the circular dependency (Closes: #528588).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 13 Apr 2010 22:48:07 +0200

audacious-plugins (2.3-1) experimental; urgency=low

  * New uploader.
    - Remove old uploaders.
  * New upstream release.
  * Bump standards version. 
  * Use source format 3.0 (quilt).
  * Remove audacious-plugins-extra.
    - Add replaces in debian/control.
  * Updates to debian/copyright.
  * Use dh7 in debian/rules.
  * Repacked orig to be dfsg-free.

 -- Chris Taylor <ctaylor@debian.org>  Sat, 03 Apr 2010 01:16:52 +0000

audacious-plugins (2.1-1.1) unstable; urgency=low

  * NMU from Moenchengladbach BSP
  * Fixes FTBFS due to conflicting types for jack_free (Closes: #560510)
    [debian/patches/10_jack_fix_conflicting_types.diff]
  * Fixes FTBFS on kFreeBSD (Closes: #543329)
  
 -- Axel Beckert <abe@deuxchevaux.org>  Sun, 24 Jan 2010 01:09:51 +0100

audacious-plugins (2.1-1ubuntu2) lucid; urgency=low

  * Rebuild for jack transition.
  * Add a patch, cherry-picked from upstream that fixes a build failure with
    the new jack.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 19 Jan 2010 12:48:29 +1100

audacious-plugins (2.1-1ubuntu1) lucid; urgency=low

  [ Bhavani Shankar ]
  * Merge from debian unstable, remaining changes: LP: #399617
    - debian/control:
      + audacious-plugins-extra depends on audacious-plugins
      + audacious-plugins suggests timidiy for midi playback
      + Move PulseAudio from description of extra to main package.
    - debian/rules:
      + Install pulse_audio.so in audacious-plugins dir.
      + Add --disable-arts to ./configure
  * Remove debian/patches/cuesheet.patch as its already superceeded in 
    debian.

  [ Andreas Moog ]
  * install /usr/lib/audacious/General/gtkui.so to audacious-plugins.
  * Fixes also: LP: #403387

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 23 Jul 2009 13:02:52 +0200

audacious-plugins (2.1-1) unstable; urgency=low

  * New upstream release.
    - Fix a file descriptor leak in madplug.  (Closes: #524470)

 -- William Pitcock <nenolod@dereferenced.org>  Tue, 07 Jul 2009 20:57:23 -0500

audacious-plugins (2.0.1-3ubuntu1) lucid; urgency=low

  * Merge from Debian unstable (LP: #383307), remaining changes:
    - debian/control:
      + audacious-plugins-extra depends on audacious-plugins
      + audacious-plugins suggests timidiy for midi playback
      + Move PulseAudio from description of extra to main package.
    - debian/rules:
      + Install pulse_audio.so in audacious-plugins dir.
      + Add --disable-arts to ./configure
  * Dropped changes, superseded in Debian:
    - Update Standards-Version.
    - aRts removal:
      + debian/control:
        - Remove libartsc0-dev from build depends.
        - Remove libartsc0-dev from depends of audacious-plugins-dev.
        - Remove aRts from list of output plugins in description of
          audacious-plugins-extra.
        + debian/audacious-plugins-extra.install:
        - Remove arts-related files.
      + debian/patches/series:
        - Remove debian/patches/000-Move_arts_helper.patch from list.
  * Add debian/patches/cuesheet.patch: Correctly handle expansion of
    multiple .cue files in playlist; thanks to Jean-Louis Dupond.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 07 Jun 2009 18:58:22 +0200

audacious-plugins (2.0.1-3) unstable; urgency=low

  * Fix deadlock in vorbis plugin which was dependent on a codepath that only
    holds true with certain ALSA output methods (but not all of them).
    (Closes: #531835)

 -- William Pitcock <nenolod@dereferenced.org>  Thu, 04 Jun 2009 19:40:12 -0500

audacious-plugins (2.0.1-2) unstable; urgency=low

  * Fix improper dependency on audacious-plugins-dev. (Closes: #531776)

 -- William Pitcock <nenolod@dereferenced.org>  Thu, 04 Jun 2009 02:42:20 -0500

audacious-plugins (2.0.1-1) unstable; urgency=low

  * New upstream release.
    - New skins plugin with many less design flaws than the old XMMS code.
      (Closes: #456558, #460802, #500081)
    - Do not crash when invalid monkey's audio chunks are encountered.
      (Closes: #514674)
    
  * Acknowledge NMU, thanks Rafael for your work.
    - debian/patches/004-compile-with-libmtp8.patch: dropped,
      different patch integrated upstream to solve the same issue.
    
  * debian/audacious-plugins.install: add crossfade.so, skins.so.
  * debian/audacious-plugins-extra.install: add icecast.so, psf2.so, xsf.so
  * debian/control: enable projectm again.
  * debian/patches/*: dropped, integrated upstream.
  * debian/control: remove dependency on libmpcdec-dev and disable musepack
    support, as musepack sv7 and sv8 will be regained by audacious-ffaudio
    shortly, e.g. before squeeze ships.
    (Closes: #518679, #476383)

 -- William Pitcock <nenolod@dereferenced.org>  Fri, 29 May 2009 21:36:59 -0500

audacious-plugins (1.5.1-2.1ubuntu1) lucid; urgency=low



=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>
Uploaders: Chris Taylor <ctaylor@debian.org>
Build-Depends: audacious-dev (>= 2.3),
               debhelper (>= 7.0.50~),
               libasound2-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libasound-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libbinio-dev,
               libcddb2-dev (>= 1.2.1) | libcddb-dev (>= 1.2.1),
               libcdio-cdda-dev (>= 0.70),
               libcue-dev,
               libcurl4-gnutls-dev,
               libesd0-dev (>= 0.2),
               libfaad-dev,
               libflac-dev (>= 1.1.2),
               libfluidsynth-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libglade2-dev (>= 2.3.1),
               libgtk2.0-dev (>= 2.6),
               libgtkglext1,
               libimlib2-dev (>= 1.1.0),
               libjack0.100.0-dev | libjack0.80.0-dev | libjack-dev,
               liblircclient-dev,
               libmad0-dev,
               libmcs-dev,
               libmms-dev,
               libmtp-dev,
               libneon27-gnutls-dev (>= 0.26),
               libogg-dev (>= 1.0),
               libprojectm-dev,
               libpulse-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libresid-builder-dev,
               libsamplerate0-dev (>=0.0.15) | libsamplerate-dev (>=0.0.15),
               libsdl1.2-dev (>= 1.2.9) | libsdl-dev (>= 1.2.9),
               libshout3-dev,
               libsidplay2-dev | libsidplay1-dev,
               libsndfile1-dev (>= 0.19) | libsndfile-dev (>= 0.19),
               libtagc0-dev (>= 1.4),
               libvorbis-dev (>= 1.2),
               libwavpack-dev,
               libxcomposite-dev
Homepage: http://www.audacious-media-player.org/
Standards-Version: 3.8.4
VCS-Browser: http://git.debian.org/?p=pkg-audacious/audacious-plugins.git;a=summary
VCS-Git: git://git.debian.org/pkg-audacious/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: audacious (>= 2.3)
Breaks: audacious (<< 2.3)
Conflicts: audacious-plugins-extra (<< 1.3.5-4)
Replaces: audacious (<< 2.3),
          audacious-plugins-extra
Suggests: timidity
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-dbg
Section: debug
Priority: extra
Architecture: any
Depends: audacious-plugins (= ${binary:Version}), ${misc:Depends}
Recommends: audacious-dbg
Description: Audacious-Plugins debug symbols
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains the debugging symbols for the plugins collection of
 Audacious. Please install it before reporting any crashes, as it makes bug
 triage an easier process.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --disable-altivec --enable-chardet $(additional_confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.h config.log config.status *.mk
	find -name '.deps' -delete

override_dh_strip:
	dh_strip --dbg-package=audacious-plugins-dbg

## audacious-plugins 2.3+dfsg

=== src/aac/Makefile ===
PLUGIN = aac${PLUGIN_SUFFIX}

SRCS = libmp4.c			\
       mp4_utils.c		\
       aac_utils.c		\
       tagging_mp4.c		\
       mp4ff/mp4ff.c		\
       mp4ff/mp4atom.c		\
       mp4ff/mp4meta.c		\
       mp4ff/mp4sample.c	\
       mp4ff/mp4util.c		\
       mp4ff/mp4tagupdate.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${FAAD_CFLAGS} -I../.. -I. -Imp4ff -DUSE_TAGGING=1
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${MOWGLI_LIBS} ${FAAD_LIBS} -lm

=== src/amidi-plug/Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
        i_configure-ap.c		\
        i_configure-alsa.c	\
        i_configure-fluidsynth.c	\
-       i_configure-dummy.c	\
        i_utils.c		\
        i_fileinfo.c
 
@@ -21,5 +20,5 @@
 
 CFLAGS += ${PLUGIN_CFLAGS}
 CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${GMODULE_CFLAGS} ${MOWGLI_CFLAGS} \
-	-DAMIDIPLUGBACKENDDIR=\"${plugindir}/${AMIDIPLUG_BACKEND_DIR}\" -I../../intl -I../..
+	-DAMIDIPLUGBACKENDDIR=\"${plugindir}/${AMIDIPLUG_BACKEND_DIR}\" -I../..
 LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${GMODULE_LIBS} -lpthread ./pcfg/libpcfg.a

=== src/compressor/Makefile ===
PLUGIN = compressor${PLUGIN_SUFFIX}

SRCS = compressor.c plugin.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} -I../..
LIBS += ${GTK_LIBS}

=== src/wavpack/Makefile ===
PLUGIN = wavpack${PLUGIN_SUFFIX}

SRCS = ui.c \
       wavpack.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${MOWGLI_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${WAVPACK_CFLAGS} -I../..
LIBS += ${WAVPACK_LIBS} ${GTK_LIBS} ${GLIB_LIBS}

=== src/kanashi/examples/Makefile ===
DATA = nenolod_-_kanashi_default.js

include ../../../buildsys.mk

PACKAGE = audacious/kanashi/presets

=== debian/changelog ===
audacious-plugins (2.3+dfsg-1) unstable; urgency=low

  * Put Audacious under the umbrella of the Multimedia Maintainers team.
  * Update debian/copyright. - thanks to Luca Falavigna <dktrkranz@debian.org>
  * Remove psf plugin from source because its license does not comply to the
    DFSG and add a NEWS entry (Closes: #594519).
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 12 Dec 2010 18:36:24 +0100

audacious-plugins (2.3-2) unstable; urgency=low

  [Chris Taylor]
  * Update debian/copyright.
  * Upload to unstable.

  [Benjamin Drung]
  * Build-Depend on libav* for ffaudio.
  * Add myself to uploaders.
  * Break and replace audacious (<< 2.3) (Closes: #577283).
  * Remove version libjack build dependencies.
  * Drop audacious-plugins-dev package. "apt-get build-dep audacious-plugins"
    will do the same job.
  * audacious-plugins recommends audacious instead of depending on it to
    break the circular dependency (Closes: #528588).
  * Enable parallel build.
  * Add panel-icon.patch to make panel icon themable (LP: #563043).
  * Disable SSE2 on i386 (LP: #565381).

 -- Chris Taylor <ctaylor@debian.org>  Fri, 10 May 2010 18:15:26 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>
-Uploaders: Chris Taylor <ctaylor@debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Chris Taylor <ctaylor@debian.org>,
+           Benjamin Drung <bdrung@ubuntu.com>
 Build-Depends: audacious-dev (>= 2.3),
                debhelper (>= 7.0.50~),
                libasound2-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libasound-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
@@ -23,7 +23,7 @@
                libgtk2.0-dev (>= 2.6),
                libgtkglext1,
                libimlib2-dev (>= 1.1.0),
-               libjack0.100.0-dev | libjack0.80.0-dev | libjack-dev,
+               libjack-dev,
                liblircclient-dev,
                libmad0-dev,
                libmcs-dev,
@@ -44,7 +44,7 @@
                libwavpack-dev,
                libxcomposite-dev
 Homepage: http://www.audacious-media-player.org/
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 VCS-Browser: http://git.debian.org/?p=pkg-audacious/audacious-plugins.git;a=summary
 VCS-Git: git://git.debian.org/pkg-audacious/audacious-plugins.git
 
@@ -54,10 +54,9 @@
          ${shlibs:Depends}
 Recommends: audacious (>= 2.3)
 Breaks: audacious (<< 2.3)
-Conflicts: audacious-plugins-extra (<< 1.3.5-4)
+Conflicts: audacious-plugins-extra
 Replaces: audacious (<< 2.3),
           audacious-plugins-extra
-Suggests: timidity
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
  and many codecs.
@@ -73,7 +72,7 @@
   * Many module formats and much more!
  .
  Additionally, Audacious is extendable through plugins, and contains
- other useful features like LIRC support and support for last.fm.
+ other useful features like LIRC support.
  .
  This package contains the plugins for Audacious.
   * Audio CD reading
@@ -110,7 +109,7 @@
   * Many module formats and much more!
  .
  Additionally, Audacious is extendable through plugins, and contains
- other useful features like LIRC support and support for last.fm.
+ other useful features like LIRC support.
  .
  This package contains the debugging symbols for the plugins collection of
  Audacious. Please install it before reporting any crashes, as it makes bug

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath --disable-altivec --enable-chardet $(additional_confflags)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
 http://distfiles.atheme.org/audacious-plugins-([^-]*)\.tgz

## audacious-plugins 2.4.0

=== src/notify/Makefile ===
PLUGIN = notify${PLUGIN_SUFFIX}

SRCS = libnotify-aosd.c \
       libnotify-aosd_event.c \
       libnotify-aosd_osd.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${NOTIFY_CFLAGS} -DPACKAGE_VERSION=\"0.1.1\"
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${GTK_LIBS} ${NOTIFY_LIBS}

=== src/statusicon/Makefile ===
PLUGIN = statusicon${PLUGIN_SUFFIX}

SRCS = statusicon.c \
       config.c \
       util.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BEEP_DEFINES} ${MOWGLI_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS}  -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS}

=== debian/changelog ===
audacious-plugins (2.4.0-0ubuntu3) maverick; urgency=low

  * Replace remove-psf.patch by patch from upstream.
  * Use g++ as linker instead of gcc to fix crash on close (LP: #640732).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 25 Sep 2010 14:41:51 +0200

audacious-plugins (2.4.0-0ubuntu2) maverick; urgency=low

  * No-change rebuild against new FluidSynth.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 15 Sep 2010 10:34:38 +0200

audacious-plugins (2.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Allow updating FLAC tags (Closes: #586453, LP: #211946).
    - Adds scrobbler plugin again (Closes: #552466, LP: #568651).
  * Bump build dependency on audacious-dev to >= 2.4.0.
  * Bump breaks & replaces of audacious to 2.4.0.
  * Remove psf plugin from source because its license does not comply to the
    DFSG and add a NEWS entry (Closes: #594519).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 05 Sep 2010 00:14:10 +0200

audacious-plugins (2.4~rc2-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 19 Aug 2010 18:42:17 +0200

audacious-plugins (2.4~beta2-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 04 Aug 2010 02:27:00 +0200

audacious-plugins (2.4~beta1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Drop all patches.
  * Drop override_dh_auto_clean.
  * Refer to versioned copyright file.
  * Bump Standards-Version to 3.9.0 (no changes required).
  * Convert versioned Conflicts into Breaks.
  * Bump build dependency on audacious-dev to >= 2.4~beta1.
  * Bump breaks & replaces of audacious to 2.4~beta1.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 22 Jul 2010 21:57:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>
 Uploaders: Chris Taylor <ctaylor@debian.org>,
            Benjamin Drung <bdrung@ubuntu.com>
-Build-Depends: audacious-dev (>= 2.3),
+Build-Depends: audacious-dev (>= 2.4.0),
                debhelper (>= 7.0.50~),
                libasound2-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libasound-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libavcodec-dev,
@@ -52,10 +53,10 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: audacious (>= 2.3)
-Breaks: audacious (<< 2.3)
-Conflicts: audacious-plugins-extra
-Replaces: audacious (<< 2.3),
+Recommends: audacious (>= 2.4.0)
+Breaks: audacious (<< 2.4.0),
+        audacious-plugins-extra (<< 1.3.5-4)
+Replaces: audacious (<< 2.4.0),
           audacious-plugins-extra
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins

## audacious-plugins 2.4.4

=== debian/changelog ===
audacious-plugins (2.4.4-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to Debian 6.0 "Squeeze"

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Sun, 19 Jun 2011 21:16:40 +0200

audacious-plugins (2.4.4-1) unstable; urgency=low

  * New upstream release.
    - Fix FTBFS with GCC 4.5 (Closes: #621989)
  * Upload to unstable.
  * debian/control:
    - Update versioned dependencies according to upstream changes.
    - Bump Standards-Version to 3.9.2 (no changes needed).
    - Since the package will be building against the new FFMpeg libs,
      fix the problem of depending on old uninstallable libav*
      packages (Closes: #617603)

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Sun, 10 Apr 2011 18:56:21 +0300

audacious-plugins (2.4.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump build-depend on audacious-dev to >= 2.4.3.
    - Bump Recommends,Breaks,Replaces on audacious to 2.4.3.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 25 Jan 2011 15:27:50 +0100

audacious-plugins (2.4.2-1) experimental; urgency=low

  * New upstream release.
    - Fixes error with alsa-gapless and dmix (Closes: #585574).
    - Remove "Audacious standard menu" from status icon (Closes: #485491).
    - Allow updating FLAC tags (Closes: #586453, LP: #211946).
    - Adds scrobbler plugin again (Closes: #552466, #584962, LP: #568651).
    - Fix volume decreases with every new song with PulseAudio output
      (Closes: #544097).
    - Fix shows meaningless timer values when playing Internet streams
      (Closes: #584249).
    - Provides RoarAudio plugin (Closes: #589756).
    - Fix 100% CPU load on pause in amidi-plugin (Closes: #598808).
  * Drop all patches.
  * Drop override_dh_auto_clean.
  * Bump build dependency on audacious-dev to >= 2.4.2.
  * Bump breaks & replaces of audacious to 2.4.2.
  * Update my email address.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 29 Dec 2010 23:35:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Chris Taylor <ctaylor@debian.org>,
-           Benjamin Drung <bdrung@ubuntu.com>
-Build-Depends: audacious-dev (>= 2.4.0),
+           Bilal Akhtar <bilalakhtar@ubuntu.com>
+Build-Depends: audacious-dev (>= 2.4.3),
                debhelper (>= 7.0.50~),
                libasound2-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libasound-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libbinio-dev,
+               libcairo2-dev (>= 1.2.4),
                libcddb2-dev (>= 1.2.1) | libcddb-dev (>= 1.2.1),
                libcdio-cdda-dev (>= 0.70),
                libcue-dev,
@@ -21,7 +21,7 @@
                libflac-dev (>= 1.1.2),
                libfluidsynth-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libglade2-dev (>= 2.3.1),
-               libgtk2.0-dev (>= 2.6),
+               libgtk2.0-dev (>= 2.8),
                libgtkglext1,
                libimlib2-dev (>= 1.1.0),
                libjack-dev,
@@ -41,23 +41,20 @@
                libsidplay2-dev | libsidplay1-dev,
                libsndfile1-dev (>= 0.19) | libsndfile-dev (>= 0.19),
                libtagc0-dev (>= 1.4),
-               libvorbis-dev (>= 1.2),
+               libvorbis-dev (>= 1.1),
                libwavpack-dev,
                libxcomposite-dev
 Homepage: http://www.audacious-media-player.org/
-Standards-Version: 3.9.1
-VCS-Browser: http://git.debian.org/?p=pkg-audacious/audacious-plugins.git;a=summary
-VCS-Git: git://git.debian.org/pkg-audacious/audacious-plugins.git
+Standards-Version: 3.9.2
+VCS-Browser: http://git.debian.org/?p=pkg-multimedia/audacious-plugins.git;a=summary
+VCS-Git: git://git.debian.org/pkg-multimedia/audacious-plugins.git
 
 Package: audacious-plugins
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: audacious (>= 2.4.0)
-Breaks: audacious (<< 2.4.0),
-        audacious-plugins-extra (<< 1.3.5-4)
-Replaces: audacious (<< 2.4.0),
-          audacious-plugins-extra
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: audacious (>= 2.4.3)
+Breaks: audacious (<< 2.4.3), audacious-plugins-extra (<< 1.3.5-4)
+Replaces: audacious (<< 2.4.3), audacious-plugins-extra
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
  and many codecs.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-chardet \
		--disable-altivec \
		--disable-psf \
		--disable-rpath \
		$(additional_confflags)

override_dh_strip:
	dh_strip --dbg-package=audacious-plugins-dbg

=== debian/watch ===
version=3
http://distfiles.atheme.org/audacious-plugins-([^-]*)\.tgz
